[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.LoginPrompt

Should SQLDB prompt for user credentials when a connection is activated.

## Declaration

Source position: sqldb.pp line 308

`published property TSQLConnection.LoginPrompt : Boolean;`

## Description

LoginPrompt can be set to True to force the system to get a username/password pair from the user. How these data are fetched from the used depends on the OnLogin event handler. The UserName and Password properties are ignored in this case.

## See also

TSQLConnection.Password |  | Password used when authenticating on the database server
TSQLConnection.UserName |  | The username for authentication on the database server
OnLogin |  | Event handler for login process